<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Entity;

use Sylius\Component\Resource\Model\ResourceInterface;
use Sylius\Component\Resource\Model\TranslationInterface;

interface ArticleTranslationInterface extends ResourceInterface, TranslationInterface
{
    public function getSlug(): ?string;

    public function setSlug(?string $slug): self;

    public function getTitle(): ?string;

    public function setTitle(?string $title): self;

    public function getContent(): ?string;

    public function setContent(?string $content): self;

    public function getDescription(): ?string;

    public function setDescription(?string $description): self;
}
